For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The AccountingAttachment object
          • GET/attachments
          • POST/attachments
          • GET/attachments/{id}
          • GET/attachments/meta/post
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsAttachments

/attachments

POST
/accounting/v1/attachments
POST
/api/accounting/v1/attachments
$curl -X POST https://api.merge.dev/api/accounting/v1/attachments \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "model": {}
>}'
201Created
1{
2 "model": {
3 "id": "ecbe05ac-62a3-46c5-ab31-4b478b37d1b4",
4 "remote_id": "1018270",
5 "created_at": "2021-09-15T00:00:00Z",
6 "modified_at": "2021-10-16T00:00:00Z",
7 "file_name": "invoice.png",
8 "file_url": "https://merge-brand.s3.amazonaws.com/20210315/rect-logo-270x80%402x.png",
9 "company": "595c8f97-2ac4-45b7-b000-41bdf43240b5",
10 "remote_was_deleted": true,
11 "field_mappings": {
12 "organization_defined_targets": {
13 "custom_key": "custom_value"
14 },
15 "linked_account_defined_targets": {
16 "custom_key": "custom_value"
17 }
18 },
19 "remote_data": [
20 {
21 "path": "/actions",
22 "data": null
23 }
24 ]
25 },
26 "warnings": [
27 {
28 "title": "Unrecognized Field",
29 "detail": "An unrecognized field, age, was passed in with request data.",
30 "problem_type": "UNRECOGNIZED_FIELD",
31 "source": {
32 "pointer": "/age"
33 },
34 "block_merge_link": true,
35 "raw_error": "string",
36 "error_code": 1
37 }
38 ],
39 "errors": [
40 {
41 "title": "Missing Required Field",
42 "detail": "custom_fields is a required field on model.",
43 "problem_type": "MISSING_REQUIRED_FIELD",
44 "source": {
45 "pointer": "/model/custom_fields"
46 },
47 "block_merge_link": true,
48 "raw_error": "string",
49 "error_code": 1
50 }
51 ],
52 "logs": [
53 {
54 "log_id": "99433219-8017-4acd-bb3c-ceb23d663832",
55 "dashboard_view": "https://app.merge.dev/logs/99433219-8017-4acd-bb3c-ceb23d663832",
56 "log_summary": {
57 "url": "www.exampleintegration.com/api/v1/exampleapi",
58 "method": "POST",
59 "status_code": 200
60 }
61 }
62 ]
63}

Creates an AccountingAttachment object with the given values.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/attachments

Next

/attachments/{id}

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

is_debug_modebooleanOptional

Whether to include debug fields (such as log file links) in the response.

run_asyncbooleanOptional

Whether or not third-party updates should be run asynchronously.

Request

This endpoint expects an object.
modelobjectRequired

Description

The AccountingAttachment object is used to represent a company’s attachments.

Usage Example

Fetch from the LIST AccountingAttachments endpoint and view a company’s attachments.

Response

modelobject

Description

The AccountingAttachment object is used to represent a company’s attachments.

Usage Example

Fetch from the LIST AccountingAttachments endpoint and view a company’s attachments.

warningslist of objects
errorslist of objects
logslist of objects